﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;


namespace Pokemon_Stats
{
    public partial class StatsGenerationForm : Form
    {
        public StatsGenerationForm()
        {
            InitializeComponent();
            InitPokemon();
            InitMoves();
        }
        #region InitCode
        private void InitPokemon()
        {
            //Bulbasaur:
            New_BaseStat(001,    "BULBASAUR",  45,  49,  49,  65, 45, 10, 3, 64);
            //Ivysaur:
            New_BaseStat(002,    "IVYSAUR",  60,  62,  63,  80, 60, 10, 3, 141) ;
            //Venusaur:
            New_BaseStat(003,    "VENUSAUR", 80,  82,  83,  100,  80, 10, 3, 208) ;
            //Charmander:
            New_BaseStat(004,    "CHARMANDER", 39,  52,  43,  50,  65, 8, 8, 65) ;
            //Charmeleon:
            New_BaseStat(005,    "CHARMELEON", 58,  64,  58,  65,  80, 8, 8, 142) ;
            //Charizard:
            New_BaseStat(006,    "CHARIZARD", 78,  84,  78,  85,  100, 8, 2, 209) ;
            //Squirtle:
            New_BaseStat(007,    "SQUIRTLE", 44,  48,  65,  50,  43, 9, 9, 66) ;
            //Wartortle:
            New_BaseStat(008,    "WARTORTLE", 59,  63,  80,  65,  58, 9, 9, 143) ;
            //Blastoise:
            New_BaseStat(009,    "BLASTOISE", 79,  83,  100,  85,  78, 9, 9, 210) ;
            //Caterpie:
            New_BaseStat(010,    "CATERPIE", 45,  30,  35,  20,  45, 6, 6, 53) ;
            //Metapod:
            New_BaseStat(011,    "METAPOD", 50,  20,  55,  25,  30, 6, 6, 72) ;
            //Butterfree:
            New_BaseStat(012,    "BUTTERFREE", 60,  45,  50,  80,  70, 6, 2, 160) ;
            //Weedle:
            New_BaseStat(013,    "WEEDLE", 40,  35,  30,  20,  50, 6, 3, 52) ;
            //Kakuna:
            New_BaseStat(014,    "KAKUNA", 45,  25,  50,  25,  35, 6, 3, 71) ;
            //Beedrill:
            New_BaseStat(015,    "BEEDRILL", 65,  80,  40,  45,  75, 6, 3, 159) ;
            //Pidgey:
            New_BaseStat(016,    "PIDGEY", 40,  45,  40,  35,  56, 0, 2, 55) ;
            //Pidgeotto:
            New_BaseStat(017,    "PIDGEOTTO", 63,  60,  55,  50,  71, 0, 2, 113) ;
            //Pidgeot:
            New_BaseStat(018,    "PIDGEOT", 83,  80,  75,  70,  91, 0, 2, 172) ;
            //Rattata:
            New_BaseStat(019,    "RATTATA", 30,  56,  35,  25,  72, 0, 0, 57) ;
            //Raticate:
            New_BaseStat(020,    "RATICATE", 55,  81,  60,  50,  97, 0, 0, 116) ;
            //Spearow:
            New_BaseStat(021,    "SPEAROW", 40,  60,  30,  31,  70, 0, 2, 58) ;
            //Fearow:
            New_BaseStat(022,    "FEAROW", 65,  90,  65,  61,  100, 0, 2, 162) ;
            //Ekans:
            New_BaseStat(023,    "EKANS", 35,  60,  44,  40,  55, 3, 3, 62) ;
            //Arbok:
            New_BaseStat(024,    "ARBOK", 60,  85,  69,  65,  80, 3, 3, 147) ;
            //Pikachu:
            New_BaseStat(025,    "PIKACHU", 35,  55,  30,  40,  90, 11, 11, 82) ;
            //Raichu:
            New_BaseStat(026,    "RAICHU", 60,  90,  55,  80,  100, 11, 11, 122) ;
            //Sandshrew:
            New_BaseStat(027,    "SANDSHREW", 50,  75,  85,  20,  40, 4, 4, 93) ;
            //Sandslash:
            New_BaseStat(028,    "SANDSLASH", 75,  100,  110,  45,  65, 4, 4, 163) ;
            //NidoranF:
            New_BaseStat(029,    "NIDORAN?",  55,  47,  52,  40, 41, 3, 3, 59) ;
            //Nidorina:
            New_BaseStat(030,    "NIDORINA", 70,  62,  67,  55,  56, 3, 3, 117) ;
            //Nidoqueen:
            New_BaseStat(031,    "NIDOQUEEN", 90,  82,  87,  75,  76, 3, 4, 194) ;
            //NidoranM:
            New_BaseStat(032,    "NIDORAN?",  46,  57,  40,  40,  50, 3, 3, 60) ;
            //Nidorino:
            New_BaseStat(033,    "NIDORINO", 61,  72,  57,  55,  65, 3, 3, 118) ;
            //Nidoking:
            New_BaseStat(034,    "NIDOKING", 81,  92,  77,  75,  85, 3, 4, 195) ;
            //Clefairy:
            New_BaseStat(035,    "CLEFAIRY", 70,  45,  48,  60,  35, 0, 0, 68) ;
            //Clefable:
            New_BaseStat(036,    "CLEFABLE", 95,  70,  73,  85,  60, 0, 0, 129) ;
            //Vulpix:
            New_BaseStat(037,    "VULPIX", 38,  41,  40,  50,  65, 8, 8, 63) ;
            //Ninetales:
            New_BaseStat(038,    "NINETALES", 73,  76,  75,  81,  100, 8, 8, 178) ;
            //Jigglypuff:
            New_BaseStat(039,    "JIGGLYPUFF", 115,  45,  20,  25,  20, 0, 0, 76) ;
            //Wigglytuff:
            New_BaseStat(040,    "WIGGLYTUFF", 140,  70,  45,  50,  45, 0, 0, 109) ;
            //Zubat:
            New_BaseStat(041,    "ZUBAT", 40,  45,  35,  30,  55, 3, 2, 54) ;
            //Golbat:
            New_BaseStat(042,    "GOLBAT", 75,  80,  70,  65,  90, 3, 2, 171) ;
            //Oddish:
            New_BaseStat(043,    "ODDISH", 45,  50,  55,  65,  30, 10, 3, 78) ;
            //Gloom:
            New_BaseStat(044,    "GLOOM", 60,  65,  70,  75,  40, 10, 3, 132) ;
            //Vileplume:
            New_BaseStat(045,    "VILEPLUME", 75,  80,  85,  90,  50, 10, 3, 184) ;
            //Paras:
            New_BaseStat(046,    "PARAS", 35,  70,  55,  45,  25, 6, 10, 70) ;
            //Parasect:
            New_BaseStat(047,    "PARASECT", 60,  95,  80,  60,  30, 6, 10, 128) ;
            //Venonat:
            New_BaseStat(048,    "VENONAT", 60,  55,  50,  40,  45, 6, 3, 75) ;
            //Venomoth:
            New_BaseStat(049,    "VENOMOTH", 70,  65,  60,  75,  90, 6, 3, 138) ;
            //Diglett:
            New_BaseStat(050,    "DIGLETT", 10,  55,  25,  35,  95, 4, 4, 81) ;
            //Dugtrio:
            New_BaseStat(051,    "DUGTRIO", 35,  80,  50,  50,  120, 4, 4, 153) ;
            //Meowth:
            New_BaseStat(052,    "MEOWTH", 40,  45,  35,  40,  90, 0, 0, 69) ;
            //Persian:
            New_BaseStat(053,    "PERSIAN", 65,  70,  60,  65,  115, 0, 0, 148) ;
            //Psyduck:
            New_BaseStat(054,    "PSYDUCK", 50,  52,  48,  50,  55, 9, 9, 80) ;
            //Golduck:
            New_BaseStat(055,    "GOLDUCK", 80,  82,  78,  80,  85, 9, 9, 174) ;
            //Mankey:
            New_BaseStat(056,    "MANKEY", 40,  80,  35,  35,  70, 1, 1, 74) ;
            //Primeape:
            New_BaseStat(057,    "PRIMEAPE", 65,  105,  60,  60,  95, 1, 1, 149) ;
            //Growlithe:
            New_BaseStat(058,    "GROWLITHE", 55,  70,  45,  50,  60, 8, 8, 91) ;
            //Arcanine:
            New_BaseStat(059,    "ARCANINE", 90,  110,  80,  80,  95, 8, 8, 213) ;
            //Poliwag:
            New_BaseStat(060,    "POLIWAG", 40,  50,  40,  40,  90, 9, 9, 77) ;
            //Poliwhirl:
            New_BaseStat(061,    "POLIWHIRL", 65,  65,  65,  50,  90, 9, 9, 131) ;
            //Poliwrath:
            New_BaseStat(062,    "POLIWRATH", 90,  85,  95,  70,  70, 9, 1, 185) ;
            //Abra:
            New_BaseStat(063,    "ABRA", 25,  20,  15,  55,  90, 12, 12, 75) ;
            //Kadabra:
            New_BaseStat(064,    "KADABRA", 40,  35,  30,  70,  105, 12, 12, 145) ;
            //Alakazam:
            New_BaseStat(065,    "ALAKAZAM", 55,  50,  45,  85,  120, 12, 12, 186) ;
            //Machop:
            New_BaseStat(066,    "MACHOP", 70,  80,  50,  35,  35, 1, 1, 75) ;
            //Machoke:
            New_BaseStat(067,    "MACHOKE", 80,  100,  70,  50,  45, 1, 1, 146) ;
            //Machamp:
            New_BaseStat(068,    "MACHAMP", 90,  130,  80,  65,  55, 1, 1, 193) ;
            //Bellsprout:
            New_BaseStat(069,    "BELLSPROUT", 50,  75,  35,  30,  40, 10, 3, 84) ;
            //Weepinbell:
            New_BaseStat(070,    "WEEPINBELL", 65,  90,  50,  45,  55, 10, 3, 151) ;
            //Victreebel:
            New_BaseStat(071,    "VICTREEBEL", 80,  105,  65,  60,  70, 10, 3, 191) ;
            //Tentacool:
            New_BaseStat(072,    "TENTACOOL", 40,  40,  35,  50,  70, 9, 3, 105) ;
            //Tentacruel:
            New_BaseStat(073,    "TENTACRUEL", 80,  70,  65,  80,  100, 9, 3, 205) ;
            //Geodude:
            New_BaseStat(074,    "GEODUDE", 40,  80,  100,  30,  20, 5, 4, 73) ;
            //Graveler:
            New_BaseStat(075,    "GRAVELER", 55,  95,  115,  45,  35, 5, 4, 134) ;
            //Golem:
            New_BaseStat(076,    "GOLEM", 80,  110,  130,  55,  45, 5, 4, 177) ;
            //Ponyta:
            New_BaseStat(077,    "PONYTA", 50,  85,  55,  65,  90, 8, 8, 152) ;
            //Rapidash:
            New_BaseStat(078,    "RAPIDASH", 65,  100,  70,  80,  105, 8, 8, 192) ;
            //Slowpoke:
            New_BaseStat(079,    "SLOWPOKE", 90,  65,  65,  40,  15, 9, 12, 99) ;
            //Slowbro:
            New_BaseStat(080,    "SLOWBRO", 95,  75,  110,  80,  30, 9, 12, 164) ;
            //Magnemite:
            New_BaseStat(081,    "MAGNEMITE", 25,  35,  70,  55,  45, 11, 11, 89) ;
            //Magneton:
            New_BaseStat(082,    "MAGNETON", 50,  60,  95,  70,  70, 11, 11, 161) ;
            //Farfetchd:
            New_BaseStat(083,    "FARFETCH'D", 52,  65,  55,  58,  60, 0, 2, 94) ;
            //Doduo:
            New_BaseStat(084,    "DODUO", 35,  85,  45,  35,  75, 0, 2, 96) ;
            //Dodrio:
            New_BaseStat(085,    "DODRIO", 60,  110,  70,  60,  100, 0, 2, 158) ;
            //Seel:
            New_BaseStat(086,    "SEEL", 65,  45,  55,  45,  45, 9, 9, 100) ;
            //Dewgong:
            New_BaseStat(087,    "DEWGONG", 90,  70,  80,  70,  70, 9, 13, 176) ;
            //Grimer:
            New_BaseStat(088,    "GRIMER", 80,  80,  50,  40,  25, 3, 3, 90) ;
            //Muk:
            New_BaseStat(089,    "MUK", 105,  105,  75,  65,  50, 3, 3, 157) ;
            //Shellder:
            New_BaseStat(090,    "SHELLDER", 30,  65,  100,  25,  40, 9, 9, 97) ;
            //Cloyster:
            New_BaseStat(091,    "CLOYSTER", 50,  95,  180,  45,  70, 9, 13, 203) ;
            //Gastly:
            New_BaseStat(092,    "GASTLY", 30,  35,  30,  35,  80, 7, 3, 95) ;
            //Haunter:
            New_BaseStat(093,    "HAUNTER", 45,  50,  45,  55,  95, 7, 3, 126) ;
            //Gengar:
            New_BaseStat(094,    "GENGAR", 60,  65,  60,  75,  110, 7, 3, 190) ;
            //Onix:
            New_BaseStat(095,    "ONIX", 35,  45,  160,  30,  70, 5, 4, 108) ;
            //Drowzee:
            New_BaseStat(096,    "DROWZEE", 60,  48,  45,  43,  42, 12, 12, 102) ;
            //Hypno:
            New_BaseStat(097,    "HYPNO", 85,  73,  70,  73,  67, 12, 12, 165) ;
            //Krabby:
            New_BaseStat(098,    "KRABBY", 30,  105,  90,  25,  50, 9, 9, 115) ;
            //Kingler:
            New_BaseStat(099,    "KINGLER", 55,  130,  115,  50,  75, 9, 9, 206) ;
            //Voltorb:
            New_BaseStat(100,    "VOLTORB", 40,  30,  50,  55,  100, 11, 11, 103) ;
            //Electrode:
            New_BaseStat(101,    "ELECTRODE", 60,  50,  70,  80,  140, 11, 11, 150) ;
            //Exeggcute:
            New_BaseStat(102,    "EXEGGCUTE", 60,  40,  80,  45,  40, 10, 12, 98) ;
            //Exeggutor:
            New_BaseStat(103,    "EXEGGUTOR", 95,  95,  85,  65,  55, 10, 12, 212) ;
            //Cubone:
            New_BaseStat(104,    "CUBONE", 50,  50,  95,  50,  35, 4, 4, 87) ;
            //Marowak:
            New_BaseStat(105,    "MAROWAK", 60,  80,  110,  50,  45, 4, 4, 124) ;
            //Hitmonlee:
            New_BaseStat(106,    "HITMONLEE", 50,  120,  53,  35,  87, 1, 1, 139) ;
            //Hitmonchan:
            New_BaseStat(107,    "HITMONCHAN", 50,  105,  79,  35,  76, 1, 1, 140) ;
            //Lickitung:
            New_BaseStat(108,    "LICKITUNG", 90,  55,  75,  60,  30, 0, 0, 127) ;
            //Koffing:
            New_BaseStat(109,    "KOFFING", 40,  65,  95,  45,  35, 3, 3, 114) ;
            //Weezing:
            New_BaseStat(110,    "WEEZING", 65,  90,  120,  70,  60, 3, 3, 173) ;
            //Rhyhorn:
            New_BaseStat(111,    "RHYHORN", 80,  85,  95,  30,  25, 5, 4, 135) ;
            //Rhydon:
            New_BaseStat(112,    "RHYDON", 105,  130,  120,  45,  40, 5, 4, 204) ;
            //Chansey:
            New_BaseStat(113,    "CHANSEY", 250,  5,  5,  35,  50, 0, 0, 255) ;
            //Tangela:
            New_BaseStat(114,    "TANGELA", 65,  55,  115,  40,  60, 10, 10, 166) ;
            //Kangaskhan:
            New_BaseStat(115,    "KANGASKHAN", 105,  95,  80,  40,  90, 0, 0, 175) ;
            //Horsea:
            New_BaseStat(116,    "HORSEA", 30,  40,  70,  25,  60, 9, 9, 83) ;
            //Seadra:
            New_BaseStat(117,    "SEADRA", 55,  65,  95,  45,  85, 9, 9, 155) ;
            //Goldeen:
            New_BaseStat(118,    "GOLDEEN", 45,  67,  60,  35,  63, 9, 9, 111) ;
            //Seaking:
            New_BaseStat(119,    "SEAKING", 80,  92,  65,  65,  68, 9, 9, 170) ;
            //Staryu:
            New_BaseStat(120,    "STARYU", 30,  45,  55,  55,  85, 9, 9, 106) ;
            //Starmie:
            New_BaseStat(121,    "STARMIE", 60,  75,  85,  85,  115, 9, 12, 207) ;
            //MrMime:
            New_BaseStat(122,    "MR. MIME",  40,  45,  65,  100, 90, 12, 12, 136) ;
            //Scyther:
            New_BaseStat(123,    "SCYTHER", 70,  110,  80,  55,  105, 6, 2, 187) ;
            //Jynx:
            New_BaseStat(124,    "JYNX", 65,  50,  35,  95,  95, 13, 12, 137) ;
            //Electabuzz:
            New_BaseStat(125,    "ELECTABUZZ", 65,  83,  57,  85,  105, 11, 11, 156) ;
            //Magmar:
            New_BaseStat(126,    "MAGMAR", 65,  95,  57,  85,  93, 8, 8, 167) ;
            //Pinsir:
            New_BaseStat(127,    "PINSIR", 65,  125,  100,  55,  85, 6, 6, 200) ;
            //Tauros:
            New_BaseStat(128,    "TAUROS", 75,  100,  95,  40,  110, 0, 0, 211) ;
            //Magikarp:
            New_BaseStat(129,    "MAGIKARP", 20,  10,  55,  15,  80, 9, 9, 20) ;
            //Gyarados:
            New_BaseStat(130,    "GYARADOS", 95,  125,  79,  60,  81, 9, 2, 214) ;
            //Lapras:
            New_BaseStat(131,    "LAPRAS", 130,  85,  80,  85,  60, 9, 13, 219) ;
            //Ditto:
            New_BaseStat(132,    "DITTO", 48,  48,  48,  48,  48, 0, 0, 61) ;
            //Eevee:
            New_BaseStat(133,    "EEVEE", 55,  55,  50,  65,  55, 0, 0, 92) ;
            //Vaporeon:
            New_BaseStat(134,    "VAPOREON", 130,  65,  60,  95,  65, 9, 9, 196) ;
            //Jolteon:
            New_BaseStat(135,    "JOLTEON", 65,  65,  60,  95,  130, 11, 11, 197) ;
            //Flareon:
            New_BaseStat(136,    "FLAREON", 65,  130,  60,  95,  65, 8, 8, 198) ;
            //Porygon:
            New_BaseStat(137,    "PORYGON", 65,  60,  70,  75,  40, 0, 0, 130) ;
            //Omanyte:
            New_BaseStat(138,    "OMANYTE", 35,  40,  100,  55,  35, 9, 5, 99) ;
            //Omastar:
            New_BaseStat(139,    "OMASTAR", 70,  60,  125,  70,  55, 9, 5, 199) ;
            //Kabuto:
            New_BaseStat(140,    "KABUTO", 30,  80,  90,  45,  55, 9, 5, 99) ;
            //Kabutops:
            New_BaseStat(141,    "KABUTOPS", 60,  115,  105,  65,  80, 9, 5, 199) ;
            //Aerodactyl:
            New_BaseStat(142,    "AERODACTYL", 80,  105,  65,  60,  130, 5, 2, 202) ;
            //Snorlax:
            New_BaseStat(143,    "SNORLAX", 160,  110,  65,  65,  30, 0, 0, 154) ;
            //Articuno:
            New_BaseStat(144,    "ARTICUNO", 90,  85,  100,  95,  85, 13, 2, 215) ;
            //Zapdos:
            New_BaseStat(145,    "ZAPDOS", 90,  90,  85,  90,  100, 11, 2, 216) ;
            //Moltres:
            New_BaseStat(146,    "MOLTRES", 90,  100,  90,  85,  90, 8, 2, 217) ;
            //Dratini:
            New_BaseStat(147,    "DRATINI", 41,  64,  45,  50,  50, 14, 14, 67) ;
            //Dragonair:
            New_BaseStat(148,    "DRAGONAIR", 61,  84,  65,  70,  70, 14, 14, 144) ;
            //Dragonite:
            New_BaseStat(149,    "DRAGONITE", 91,  134,  95,  100,  80, 14, 2, 218) ;
            //Mewtwo:
            New_BaseStat(150,    "MEWTWO", 106,  110,  90,  90,  130, 12, 12, 220) ;
            //Mew:
            New_BaseStat(151,    "MEW", 100, 100, 100, 100, 100, 12, 12, 64);
            pokemonComboBox.SelectedIndex = 0;
        }

        private void InitMoves()
        {
            //Pound = 01
            New_Move(01,  "POUND",  0,  35,  40,  100);
            //KarateChop = 02
            New_Move(02,  "KARATE CHOP",  0,  25,  50,  100);
            //DoubleSlap = 03
            New_Move(03,  "DOUBLE SLAP",  0,  10,  15,  85);
            //CometPunch = 04
            New_Move(04,  "COMET PUNCH",  0,  15,  18,  85);
            //MegaPunch = 05
            New_Move(05,  "MEGA PUNCH",  0,  20,  80,  85);
            //PayDay = 06
            New_Move(06,  "PAY DAY",  0,  20,  40,  100);
            //FirePunch = 07
            New_Move(07,  "FIRE PUNCH",  8,  15,  75,  100);
            //IcePunch = 08
            New_Move(08,  "ICE PUNCH",  13,  15,  75,  100);
            //ThunderPunch = 09
            New_Move(09,  "THUNDER PUNCH",  11,  15,  75,  100);
            //Scratch = 10
            New_Move(10,  "SCRATCH",  0,  35,  40,  100);
            //ViceGrip = 11
            New_Move(11,  "VICE GRIP",  0,  30,  55,  100);
            //Guillotine = 12
            New_Move(12,  "GUILLOTINE",  0,  5,  255,  30);
            //RazorWind = 13
            New_Move(13,  "RAZOR WIND",  0,  10,  80,  100);
            //SwordsDance = 14
            New_Move(14,  "SWORDS DANCE",  0,  30,  0,  0 ) ;
            //Cut = 15
            New_Move(15,  "CUT",  0,  30,  50, 0);
            //Gust = 16
            New_Move(16,  "GUST",  2,  35,  40,  100);
            //WingAttack = 17
            New_Move(17,  "WING ATTACK",  2,  35,  60,  100);
            //Whirlwind = 18
            New_Move(18,  "WHIRLWIND",  0,  20,  0,  100);
            //Fly = 19
            New_Move(19,  "FLY",  2,  15,  90,  95);
            //Bind = 20
            New_Move(20,  "BIND",  0,  20,  15,  75)  ;
            //Slam = 21
            New_Move(21,  "SLAM",  0,  20,  80,  75);
            //VineWhip = 22
            New_Move(22,  "VINE WHIP",  10,  15,  35,  100);
            //Stomp = 23
            New_Move(23,  "STOMP",  0,  20,  65,  100);
            //DoubleKick = 24
            New_Move(24,  "DOUBLE KICK",  1,  30,  30,  100);
            //MegaKick = 25
            New_Move(25,  "MEGA KICK",  0,  5,  120,  75);
            //JumpKick = 26
            New_Move(26,  "JUMP KICK",  1,  25,  85,  95);
            //RollingKick = 27
            New_Move(27,  "ROLLING KICK",  1,  15,  60,  85);
            //SandAttack = 28
            New_Move(28,  "SAND ATTACK",  0,  15,  0,  100);
            //Headbutt = 29
            New_Move(29,  "HEADBUTT",  0,  15,  70,  100);
            //HornAttack = 30
            New_Move(30,  "HORN ATTACK",  0,  25,  65,  100);
            //FuryAttack = 31
            New_Move(31,  "FURY ATTACK",  0,  20,  15,  85);
            //HornDrill = 32
            New_Move(32,  "HORN DRILL",  0,  5,  255,  30);
            //Tackle = 33
            New_Move(33,  "TACKLE",  0,  35,  35,  95);
            //BodySlam = 34
            New_Move(34,  "BODY SLAM",  0,  15,  85,  100);
            //Wrap = 35
            New_Move(35,  "WRAP",  0,  20,  15,  85);
            //TakeDown = 36
            New_Move(36,  "TAKE DOWN",  0,  20,  90,  85);
            //Thrash = 37
            New_Move(37,  "THRASH",  0,  20,  90,  100);
            //DoubleEdge = 38
            New_Move(38,  "DOUBLEEDGE",  0,  15,  120,  100);
            //TailWhip = 39
            New_Move(39,  "TAIL WHIP",  0,  30,  0,  100);
            //PoisonSting = 40
            New_Move(40,  "POISON STING",  3,  35,  15,  100);
            //Twineedle = 41
            New_Move(41,  "TWINEEDLE",  6,  20,  25,  100);
            //PinMissile = 42
            New_Move(42,  "PIN MISSILE",  6,  20,  14,  85);
            //Leer = 43
            New_Move(43,  "LEER",  0,  30,  0,  100);
            //Bite = 44
            New_Move(44,  "BITE",  0,  25,  60,  100);
            //Growl = 45
            New_Move(45,  "GROWL",  0,  40,  0,  100);
            //Roar = 46
            New_Move(46,  "ROAR",  0,  20,  0,  100);
            //Sing = 47
            New_Move(47,  "SING",  0,  15,  0,  55);
            //Supersonic = 48
            New_Move(48,  "SUPERSONIC",  0,  20,  0,  55);
            //SonicBoom = 49
            New_Move(49,  "SONICBOOM",  0,  20,  0,  90);
            //Disable = 50
            New_Move(50,  "DISABLE",  0,  20,  0,  55);
            //Acid = 51
            New_Move(51,  "ACID",  3,  30,  40,  100);
            //Ember = 52
            New_Move(52,  "EMBER",  8,  25,  40,  100);
            //Flamethrower = 53
            New_Move(53,  "FLAMETHROWER",  8,  15,  95,  100);
            //Mist = 54
            New_Move(54,  "MIST",  13,  30,  0,  0 );
            //WaterGun = 55
            New_Move(55,  "WATER GUN",  9,  25,  40,  100);
            //HydroPump = 56
            New_Move(56,  "HYDRO PUMP",  9,  5,  120,  80);
            //Surf = 57
            New_Move(57,  "SURF",  9,  15,  95,  100);
            //IceBeam = 58
            New_Move(58,  "ICE BEAM",  13,  10,  95,  100);
            //Blizzard = 59
            New_Move(59,  "BLIZZARD",  13,  5,  120,  70);
            //Psybeam = 60
            New_Move(60,  "PSYBEAM",  12,  20,  65,  100);
            //BubbleBeam = 61
            New_Move(61,  "BUBBLE BEAM",  9,  20,  65,  100);
            //AuroraBeam = 62
            New_Move(62,  "AURORA BEAM",  13,  20,  65,  100);
            //HyperBeam = 63
            New_Move(63,  "HYPER BEAM",  0,  5,  150,  90);
            //Peck = 64
            New_Move(64,  "PECK",  2,  35,  35,  100);
            //DrillPeck = 65
            New_Move(65,  "DRILL PECK",  2,  20,  80,  100);
            //Submission = 66
            New_Move(66,  "SUBMISSION",  1,  25,  80,  80);
            //LowKick = 67
            New_Move(67,  "LOW KICK",  1,  20,  0,  100);
            //Counter = 68
            New_Move(68,  "COUNTER",  1,  20,  0,  100);
            //SeismicToss = 69
            New_Move(69,  "SEISMIC TOSS",  1,  20,  0,  100);
            //Strength = 70
            New_Move(70,  "STRENGTH",  0,  15,  80,  100);
            //Absorb = 71
            New_Move(71,  "ABSORB",  10,  25,  20,  100);
            //MegaDrain = 72
            New_Move(72,  "MEGA DRAIN",  10,  15,  40,  100);
            //LeechSeed = 73
            New_Move(73,  "LEECH SEED",  10,  10,  0,  90);
            //Growth = 74
            New_Move(74,  "GROWTH",  0,  40,  0,  0);
            //RazorLeaf = 75
            New_Move(75,  "RAZOR LEAF",  10,  25,  55,  95);
            //SolarBeam = 76
            New_Move(76,  "SOLAR BEAM",  10,  10,  120,  100);
            //Poisonpowder = 77
            New_Move(77,  "POISONPOWDER",  3,  35,  0,  75);
            //StunSpore = 78
            New_Move(78,  "STUN SPORE",  10,  30,  0,  75);
            //SleepPowder = 79
            New_Move(79,  "SLEEP POWDER",  10,  15,  0,  75);
            //PetalDance = 80
            New_Move(80,  "PETAL DANCE",  10,  20,  90,  100);
            //StringShot = 81
            New_Move(81,  "STRING SHOT",  6,  40,  0,  95);
            //DragonRage = 82
            New_Move(82,  "DRAGON RAGE",  14,  10,  0,  100);
            //FireSpin = 83
            New_Move(83,  "FIRE SPIN",  8,  15,  15,  70);
            //ThunderShock = 84
            New_Move(84,  "THUNDER SHOCK",  11,  30,  40,  100);
            //Thunderbolt = 85
            New_Move(85,  "THUNDERBOLT",  11,  15,  95,  100);
            //ThunderWave = 86
            New_Move(86,  "THUNDER WAVE",  11,  20,  0,  100);
            //Thunder = 87
            New_Move(87,  "THUNDER",  11,  10,  120,  70);
            //RockThrow = 88
            New_Move(88,  "ROCK THROW",  5,  15,  50,  90);
            //Earthquake = 89
            New_Move(89,  "EARTHQUAKE",  4,  10,  100,  100);
            //Fissure = 90
            New_Move(90,  "FISSURE",  4,  5,  255,  30);
            //Dig = 91
            New_Move(91,  "DIG",  4,  10,  80,  100);
            //Toxic = 92
            New_Move(92,  "TOXIC",  3,  10,  0,  85);
            //Confusion = 93
            New_Move(93,  "CONFUSION",  12,  25,  50,  100);
            //PsychicMove = 94
            New_Move(94,  "PSYCHIC",  12,  10,  90,  100);
            //Hypnosis = 95
            New_Move(95,  "HYPNOSIS",  12,  20,  0,  60);
            //Meditate = 96
            New_Move(96,  "MEDITATE",  12,  40,  0,  0);
            //Agility = 97
            New_Move(97,  "AGILITY",  12,  30,  0,  0);
            //QuickAttack = 98
            New_Move(98,  "QUICK ATTACK",  0,  30,  40,  100);
            //Rage = 99
            New_Move(99,  "RAGE",  0,  20,  20,  100);
            //Teleport = 100
            New_Move(100,  "TELEPORT",  12,  20,  0,  0);
            //NightShade = 101
            New_Move(101,  "NIGHT SHADE",  7,  15,  0,  100);
            //Mimic = 102
            New_Move(102,  "MIMIC",  0,  10,  0,  100);
            //Screech = 103
            New_Move(103,  "SCREECH",  0,  40,  0,  85);
            //DoubleTeam = 104
            New_Move(104,  "DOUBLE TEAM",  0,  15,  0,  0);
            //Recover = 105
            New_Move(105,  "RECOVER",  0,  10,  0,  0);
            //Harden = 106
            New_Move(106,  "HARDEN",  0,  30,  0,  0);
            //Minimize = 107
            New_Move(107,  "MINIMIZE",  0,  20,  0,  0);
            //SmokeScreen = 108
            New_Move(108,  "SMOKESCREEN",  0,  20,  0,  100);
            //ConfuseRay = 109
            New_Move(109,  "CONFUSE RAY",  7,  10,  0,  100);
            //Withdraw = 110
            New_Move(110,  "WITHDRAW",  9,  40,  0,  0);
            //DefenseCurl = 111
            New_Move(111,  "DEFENSE CURL",  0,  40,  0,  0);
            //Barrier = 112
            New_Move(112,  "BARRIER",  12,  20,  0,  0);
            //LightScreen = 113
            New_Move(113,  "LIGHT SCREEN",  12,  30,  0,  0);
            //Haze = 114
            New_Move(114,  "HAZE",  13,  30,  0,  0);
            //Reflect = 115
            New_Move(115,  "REFLECT",  12,  20,  0,  0);
            //FocusEnergy = 116
            New_Move(116,  "FOCUS ENERGY",  0,  30,  0,  0);
            //Bide = 117
            New_Move(117,  "BIDE",  0,  10,  0,  100);
            //Metronome = 118
            New_Move(118,  "METRONOME",  0,  10,  0,  0);
            //MirrorMove = 119
            New_Move(119,  "MIRROR MOVE",  2,  20,  0,  0);
            //Selfdestruct = 120
            New_Move(120,  "SELFDESTRUCT",  0,  5,  200,  100);
            //EggBomb = 121
            New_Move(121,  "EGG BOMB",  0,  10,  100,  75);
            //Lick = 122
            New_Move(122,  "LICK",  7,  30,  20,  100);
            //Smog = 123
            New_Move(123,  "SMOG",  3,  20,  20,  70);
            //Sludge = 124
            New_Move(124,  "SLUDGE",  3,  20,  65,  100);
            //BoneClub = 125
            New_Move(125,  "BONE CLUB",  4,  20,  65,  85);
            //FireBlast = 126
            New_Move(126,  "FIRE BLAST",  8,  5,  120,  85);
            //Waterfall = 127
            New_Move(127,  "WATERFALL",  9,  15,  80,  100);
            //Clamp = 128
            New_Move(128,  "CLAMP",  9,  10,  35,  75);
            //Swift = 129
            New_Move(129,  "SWIFT",  0,  20,  60,  0);
            //SkullBash = 130
            New_Move(130,  "SKULL BASH",  0,  15,  100,  100);
            //SpikeCannon = 131
            New_Move(131,  "SPIKE CANNON",  0,  15,  20,  100);
            //Constrict = 132
            New_Move(132,  "CONSTRICT",  0,  35,  10,  100);
            //Amnesia = 133
            New_Move(133,  "AMNESIA",  12,  20,  0,  0);
            //Kinesis = 134
            New_Move(134,  "KINESIS",  12,  15,  0,  80);
            //Softboiled = 135
            New_Move(135,  "SOFTBOILED",  0,  10,  0,  100);
            //HiJumpKick = 136
            New_Move(136, "HI JUMP KICK",  1,  20,  100,  90);
            //Glare = 137
            New_Move(137,  "GLARE",  0,  30,  0,  75);
            //DreamEater = 138
            New_Move(138,  "DREAM EATER",  12,  15,  100,  100);
            //PoisonGas = 139
            New_Move(139,  "POISON GAS",  3,  40,  0,  55);
            //Barrage = 140
            New_Move(140,  "BARRAGE",  0,  20,  15,  85);
            //LeechLife = 141
            New_Move(141,  "LEECH LIFE",  6,  15,  20,  100);
            //LovelyKiss = 142
            New_Move(142,  "LOVELY KISS",  0,  10,  0,  75);
            //SkyAttack = 143
            New_Move(143,  "SKY ATTACK",  2,  5,  140,  90);
            //Transform = 144
            New_Move(144,  "TRANSFORM",  0,  10,  0,  0);
            //Bubble = 145
            New_Move(145,  "BUBBLE",  9,  30,  20,  100);
            //DizzyPunch = 146
            New_Move(146,  "DIZZY PUNCH",  0,  10,  70,  100);
            //Spore = 147
            New_Move(147,  "SPORE",  10,  15,  0,  100);
            //Flash = 148
            New_Move(148,  "FLASH",  0,  20,  0,  70);
            //Psywave = 149
            New_Move(149,  "PSYWAVE",  12,  15,  0,  80);
            //Splash = 150
            New_Move(150,  "SPLASH",  0,  40,  0,  0);
            //AcidArmor = 151
            New_Move(151,  "ACID ARMOR",  3,  40,  0,  0);
            //Crabhammer = 152
            New_Move(152,  "CRABHAMMER",  9,  10,  90,  85);
            //Explosion = 153
            New_Move(153,  "EXPLOSION",  0,  5,  250,  100);
            //FurySwipes = 154
            New_Move(154,  "FURY SWIPES",  0,  15,  18,  80);
            //Bonemerang = 155
            New_Move(155,  "BONEMERANG",  4,  10,  50,  90);
            //Rest = 156
            New_Move(156,  "REST",  12,  10,  0,  0);
            //RockSlide = 157
            New_Move(157,  "ROCK SLIDE",  5,  10,  75,  90);
            //HyperFang = 158
            New_Move(158,  "HYPER FANG",  0,  15,  80,  90);
            //Sharpen = 159
            New_Move(159,  "SHARPEN",  0,  30,  0,  0);
            //Conversion = 160
            New_Move(160,  "CONVERSION",  0,  30,  0,  0);
            //TriAttack = 161
            New_Move(161,  "TRI ATTACK",  0,  10,  80,  100);
            //SuperFang = 162
            New_Move(162,  "SUPER FANG",  0,  10,  0,  90);
            //Slash = 163
            New_Move(163,  "SLASH",  0,  20,  70,  100);
            //Substitute = 164
            New_Move(164,  "SUBSTITUTE",  0,  10,  0,  0);
            //Struggle = 165
            New_Move(165, "STRUGGLE", 0, 1, 50, 100);
        }

        private void InitMoves1()
        {    
New_Move(01,  "ABSORB",  10,  25,  20,  100);
New_Move(02,  "ACID ARMOR",  3,  40,  0,  0);
New_Move(03,  "ACID",  3,  30,  40,  100);
New_Move(04,  "AGILITY",  12,  30,  0,  0);
New_Move(05,  "AMNESIA",  12,  20,  0,  0);
New_Move(06,  "AURORA BEAM",  13,  20,  65,  100);
New_Move(07,  "BARRAGE",  0,  20,  15,  85);
New_Move(08,  "BARRIER",  12,  20,  0,  0);
New_Move(09,  "BIDE",  0,  10,  0,  100);
New_Move(10,  "BIND",  0,  20,  15,  75)  ;
New_Move(11,  "BITE",  0,  25,  60,  100);
New_Move(12,  "BLIZZARD",  13,  5,  120,  70);
New_Move(13,  "BODY SLAM",  0,  15,  85,  100);
New_Move(14,  "BONE CLUB",  4,  20,  65,  85);
New_Move(15,  "BONEMERANG",  4,  10,  50,  90);
New_Move(16,  "BUBBLE BEAM",  9,  20,  65,  100);
New_Move(17,  "BUBBLE",  9,  30,  20,  100);
New_Move(18,  "CLAMP",  9,  10,  35,  75);
New_Move(19,  "COMET PUNCH",  0,  15,  18,  85);
New_Move(20,  "CONFUSE RAY",  7,  10,  0,  100);
New_Move(21,  "CONFUSION",  12,  25,  50,  100);
New_Move(22,  "CONSTRICT",  0,  35,  10,  100);
New_Move(23,  "CONVERSION",  0,  30,  0,  0);
New_Move(24,  "COUNTER",  1,  20,  0,  100);
New_Move(25,  "CRABHAMMER",  9,  10,  90,  85);
New_Move(26,  "CUT",  0,  30,  50, 0);
New_Move(27,  "DEFENSE CURL",  0,  40,  0,  0);
New_Move(28,  "DIG",  4,  10,  80,  100);
New_Move(29,  "DISABLE",  0,  20,  0,  55);
New_Move(30,  "DIZZY PUNCH",  0,  10,  70,  100);
New_Move(31,  "DOUBLE KICK",  1,  30,  30,  100);
New_Move(32,  "DOUBLE SLAP",  0,  10,  15,  85);
New_Move(33,  "DOUBLE TEAM",  0,  15,  0,  0);
New_Move(34,  "DOUBLEEDGE",  0,  15,  120,  100);
New_Move(35,  "DRAGON RAGE",  14,  10,  0,  100);
New_Move(36,  "DREAM EATER",  12,  15,  100,  100);
New_Move(37,  "DRILL PECK",  2,  20,  80,  100);
New_Move(38,  "EARTHQUAKE",  4,  10,  100,  100);
New_Move(39,  "EGG BOMB",  0,  10,  100,  75);
New_Move(40,  "EMBER",  8,  25,  40,  100);
New_Move(41,  "EXPLOSION",  0,  5,  250,  100);
New_Move(42,  "FIRE BLAST",  8,  5,  120,  85);
New_Move(43,  "FIRE PUNCH",  8,  15,  75,  100);
New_Move(44,  "FIRE SPIN",  8,  15,  15,  70);
New_Move(45,  "FISSURE",  4,  5,  255,  30);
New_Move(46,  "FLAMETHROWER",  8,  15,  95,  100);
New_Move(47,  "FLASH",  0,  20,  0,  70);
New_Move(48,  "FLY",  2,  15,  90,  95);
New_Move(49,  "FOCUS ENERGY",  0,  30,  0,  0);
New_Move(50,  "FURY ATTACK",  0,  20,  15,  85);
New_Move(51,  "FURY SWIPES",  0,  15,  18,  80);
New_Move(52,  "GLARE",  0,  30,  0,  75);
New_Move(53,  "GROWL",  0,  40,  0,  100);
New_Move(54,  "GROWTH",  0,  40,  0,  0);
New_Move(55,  "GUILLOTINE",  0,  5,  255,  30);
New_Move(56,  "GUST",  2,  35,  40,  100);
New_Move(57,  "HARDEN",  0,  30,  0,  0);
New_Move(58,  "HAZE",  13,  30,  0,  0);
New_Move(59,  "HEADBUTT",  0,  15,  70,  100);
New_Move(60,  "HI JUMP KICK",  1,  20,  100,  90);
New_Move(61,  "HORN ATTACK",  0,  25,  65,  100);
New_Move(62,  "HORN DRILL",  0,  5,  255,  30);
New_Move(63,  "HYDRO PUMP",  9,  5,  120,  80);
New_Move(64,  "HYPER BEAM",  0,  5,  150,  90);
New_Move(65,  "HYPER FANG",  0,  15,  80,  90);
New_Move(66,  "HYPNOSIS",  12,  20,  0,  60);
New_Move(67,  "ICE BEAM",  13,  10,  95,  100);
New_Move(68,  "ICE PUNCH",  13,  15,  75,  100);
New_Move(69,  "JUMP KICK",  1,  25,  85,  95);
New_Move(70,  "KARATE CHOP",  0,  25,  50,  100);
New_Move(71,  "KINESIS",  12,  15,  0,  80);
New_Move(72,  "LEECH LIFE",  6,  15,  20,  100);
New_Move(73,  "LEECH SEED",  10,  10,  0,  90);
New_Move(74,  "LEER",  0,  30,  0,  100);
New_Move(75,  "LICK",  7,  30,  20,  100);
New_Move(76,  "LIGHT SCREEN",  12,  30,  0,  0);
New_Move(77,  "LOVELY KISS",  0,  10,  0,  75);
New_Move(78,  "LOW KICK",  1,  20,  0,  100);
New_Move(79,  "MEDITATE",  12,  40,  0,  0);
New_Move(80,  "MEGA DRAIN",  10,  15,  40,  100);
New_Move(81,  "MEGA KICK",  0,  5,  120,  75);
New_Move(82,  "MEGA PUNCH",  0,  20,  80,  85);
New_Move(83,  "METRONOME",  0,  10,  0,  0);
New_Move(84,  "MIMIC",  0,  10,  0,  100);
New_Move(85,  "MINIMIZE",  0,  20,  0,  0);
New_Move(86,  "MIRROR MOVE",  2,  20,  0,  0);
New_Move(87,  "MIST",  13,  30,  0,  0 );
New_Move(88,  "NIGHT SHADE",  7,  15,  0,  100);
New_Move(89,  "PAY DAY",  0,  20,  40,  100);
New_Move(90,  "PECK",  2,  35,  35,  100);
New_Move(91,  "PETAL DANCE",  10,  20,  90,  100);
New_Move(92,  "PIN MISSILE",  6,  20,  14,  85);
New_Move(93,  "POISON GAS",  3,  40,  0,  55);
New_Move(94,  "POISON STING",  3,  35,  15,  100);
New_Move(95,  "POISONPOWDER",  3,  35,  0,  75);
New_Move(96,  "POUND",  0,  35,  40,  100);
New_Move(97,  "PSYBEAM",  12,  20,  65,  100);
New_Move(98,  "PSYCHIC",  12,  10,  90,  100);
New_Move(99,  "PSYWAVE",  12,  15,  0,  80);
New_Move(100,  "QUICK ATTACK",  0,  30,  40,  100);
New_Move(101,  "RAGE",  0,  20,  20,  100);
New_Move(102,  "RAZOR LEAF",  10,  25,  55,  95);
New_Move(103,  "RAZOR WIND",  0,  10,  80,  100);
New_Move(104,  "RECOVER",  0,  10,  0,  0);
New_Move(105,  "REFLECT",  12,  20,  0,  0);
New_Move(106,  "REST",  12,  10,  0,  0);
New_Move(107,  "ROAR",  0,  20,  0,  100);
New_Move(108,  "ROCK SLIDE",  5,  10,  75,  90);
New_Move(109,  "ROCK THROW",  5,  15,  50,  90);
New_Move(110,  "ROLLING KICK",  1,  15,  60,  85);
New_Move(111,  "SAND ATTACK",  0,  15,  0,  100);
New_Move(112,  "SCRATCH",  0,  35,  40,  100);
New_Move(113,  "SCREECH",  0,  40,  0,  85);
New_Move(114,  "SEISMIC TOSS",  1,  20,  0,  100);
New_Move(115,  "SELFDESTRUCT",  0,  5,  200,  100);
New_Move(116,  "SHARPEN",  0,  30,  0,  0);
New_Move(117,  "SING",  0,  15,  0,  55);
New_Move(118,  "SKULL BASH",  0,  15,  100,  100);
New_Move(119,  "SKY ATTACK",  2,  5,  140,  90);
New_Move(120,  "SLAM",  0,  20,  80,  75);
New_Move(121,  "SLASH",  0,  20,  70,  100);
New_Move(122,  "SLEEP POWDER",  10,  15,  0,  75);
New_Move(123,  "SLUDGE",  3,  20,  65,  100);
New_Move(124,  "SMOG",  3,  20,  20,  70);
New_Move(125,  "SMOKESCREEN",  0,  20,  0,  100);
New_Move(126,  "SOFTBOILED",  0,  10,  0,  100);
New_Move(127,  "SOLAR BEAM",  10,  10,  120,  100);
New_Move(128,  "SONICBOOM",  0,  20,  0,  90);
New_Move(129,  "SPIKE CANNON",  0,  15,  20,  100);
New_Move(130,  "SPLASH",  0,  40,  0,  0);
New_Move(131,  "SPORE",  10,  15,  0,  100);
New_Move(132,  "STOMP",  0,  20,  65,  100);
New_Move(133,  "STRENGTH",  0,  15,  80,  100);
New_Move(134,  "STRING SHOT",  6,  40,  0,  95);
New_Move(135,  "STRUGGLE", 0, 1, 50, 100);
New_Move(136,  "STUN SPORE",  10,  30,  0,  75);
New_Move(137,  "SUBMISSION",  1,  25,  80,  80);
New_Move(138,  "SUBSTITUTE",  0,  10,  0,  0);
New_Move(139,  "SUPER FANG",  0,  10,  0,  90);
New_Move(140,  "SUPERSONIC",  0,  20,  0,  55);
New_Move(141,  "SURF",  9,  15,  95,  100);
New_Move(142,  "SWIFT",  0,  20,  60,  0);
New_Move(143,  "SWORDS DANCE",  0,  30,  0,  0 ) ;
New_Move(144,  "TACKLE",  0,  35,  35,  95);
New_Move(145,  "TAIL WHIP",  0,  30,  0,  100);
New_Move(146,  "TAKE DOWN",  0,  20,  90,  85);
New_Move(147,  "TELEPORT",  12,  20,  0,  0);
New_Move(148,  "THRASH",  0,  20,  90,  100);
New_Move(149,  "THUNDER PUNCH",  11,  15,  75,  100);
New_Move(150,  "THUNDER SHOCK",  11,  30,  40,  100);
New_Move(151,  "THUNDER WAVE",  11,  20,  0,  100);
New_Move(152,  "THUNDER",  11,  10,  120,  70);
New_Move(153,  "THUNDERBOLT",  11,  15,  95,  100);
New_Move(154,  "TOXIC",  3,  10,  0,  85);
New_Move(155,  "TRANSFORM",  0,  10,  0,  0);
New_Move(156,  "TRI ATTACK",  0,  10,  80,  100);
New_Move(157,  "TWINEEDLE",  6,  20,  25,  100);
New_Move(158,  "VICE GRIP",  0,  30,  55,  100);
New_Move(159,  "VINE WHIP",  10,  15,  35,  100);
New_Move(160,  "WATER GUN",  9,  25,  40,  100);
New_Move(161,  "WATERFALL",  9,  15,  80,  100);
New_Move(162,  "WHIRLWIND",  0,  20,  0,  100);
New_Move(163,  "WING ATTACK",  2,  35,  60,  100);
New_Move(164,  "WITHDRAW",  9,  40,  0,  0);
New_Move(165,  "WRAP",  0,  20,  15,  85);
        }

        /*private void InitMovesLearned()
        {
            //;#001: Bulbasaur (Grass - Poison)
            MoveSet[,] moveSet = new MoveSet[152,9];
            moveSet[1,0] = new MoveSet();
            move

            .db 0, Tackle
            .db 0, Growl
            .db 7, LeechSeed
            .db 13, VineWhip
            .db 20, PoisonPowder
            .db 27, RazorLeaf
            .db 34, Growth
            .db 41, SleepPowder
            .db 48, SolarBeam 

            ;#002: Ivysaur (Grass - Poison)
            .db 6
            .db 13, VineWhip
            .db 22, PoisonPowder
            .db 30, RazorLeaf
            .db 38, Growth
            .db 46, SleepPowder
            .db 54, SolarBeam

            ;#003: Venusaur (Grass - Poison)
            .db 3
            .db 43, Growth
            .db 55, SleepPowder
            .db 65, SolarBeam

            ;#004: Charmander (Fire)
            .db 8
            ;.db 0, Rape
            .db 0, Scratch
            .db 0, Growl
            .db 9, Ember
            .db 15, Leer
            .db 22, Rage
            .db 30, Slash
            .db 38, Flamethrower
            .db 46, FireSpin

            ;#005: Charmeleon (Fire)
            .db 5
            .db 15, Leer
            .db 24, Rage
            .db 33, Slash
            .db 42, Flamethrower
            .db 56, FireSpin

            ;#006: Charizard (Fire - Flying)
            .db 3
            .db 36, Slash
            .db 46, Flamethrower
            .db 55, FireSpin 

            ;#007: Squirtle (Water)
            .db 8
            .db 0, Tackle
            .db 0, TailWhip
            .db 8, Bubble
            .db 15, WaterGun
            .db 22, Bite
            .db 28, Withdraw
            .db 35, SkullBash
            .db 42, HydroPump

            ;#008: Wartortle (Water)
            .db 5
            .db 15, WaterGun
            .db 24, Bite
            .db 31, Withdraw
            .db 39, SkullBash
            .db 47, HydroPump

            ;#009: Blastoise (Water)
            .db 4
            .db 24, Bite
            .db 31, Withdraw
            .db 42, SkullBash
            .db 52, HydroPump

            ;#010: Caterpie (Bug)
            .db 2
            .db 0, Tackle
            .db 0, StringShot

            ;#011: Metapod (Bug)
            .db 1
            .db 0, Harden

            ;#012: Butterfree (Bug - Flying)
            .db 7
            .db 12, Confusion
            .db 15, PoisonPowder
            .db 16, StunSpore
            .db 17, SleepPowder
            .db 21, Supersonic
            .db 26, Whirlwind
            .db 32, Psybeam

            ;#013: Weedle (Bug - Poison)
            .db 2
            .db 0, PoisonSting
            .db 0, StringShot

            ;#014: Kakuna (Bug - Poison)
            .db 1
            .db 0, Harden

            ;#015: Beedrill (Bug - Poison)
            .db 6
            .db 12, FuryAttack
            .db 16, FocusEnergy
            .db 20, Twineedle
            .db 25, Rage
            .db 30, PinMissile
            .db 35, Agility

            ;#016: Pidgey (Normal - Flying)
            .db 7
            .db 0, Gust
            .db 5, SandAttack
            .db 12, QuickAttack
            .db 19, Whirlwind
            .db 28, WingAttack
            .db 36, Agility
            .db 44, MirrorMove

            ;#017: Pidgeotto (Normal - Flying)
            .db 4
            .db 21, Whirlwind
            .db 31, WingAttack
            .db 40, Agility
            .db 49, MirrorMove

            ;#018: Pidgeot (Normal - Flying)
            .db 2
            .db 44, Agility
            .db 54, MirrorMove

            ;#019: Rattata (Normal)
            .db 6
            .db 0, Tackle
            .db 0, TailWhip
            .db 7, QuickAttack 
            .db 14, HyperFang
            .db 23, FocusEnergy
            .db 34, SuperFang

            ;#020: Raticate (Normal)
            .db 3
            .db 14, HyperFang
            .db 27, FocusEnergy
            .db 41, SuperFang

            ;#021: Spearow (Normal - Flying)
            .db 7
            .db 0, Peck
            .db 0, Growl
            .db 9, Leer
            .db 15, FuryAttack
            .db 22, MirrorMove
            .db 29, DrillPeck
            .db 36, Agility

            ;#022: Fearow (Normal - Flying)
            .db 3
            .db 25, MirrorMove
            .db 34, DrillPeck
            .db 43, Agility

            ;#023: Ekans (Poison)
            .db 7
            .db 0, Wrap
            .db 0, Leer
            .db 10, PoisonSting
            .db 17, Bite
            .db 24, Glare
            .db 31, Screech
            .db 38, Acid

            ;#024: Arbok (Poison)
            .db 4
            .db 17, Bite
            .db 27, Glare
            .db 36, Screech
            .db 47, Acid

            ;#025: Pikachu (Electric)
            .db 7
            .db 0, Thundershock
            .db 0, Growl
            .db 9, ThunderWave
            .db 16, QuickAttack
            .db 26, Swift
            .db 33, Agility
            .db 43, Thunder

            ;#026: Raichu (Electric)
            .db 0
            ;DOESN'T LEARN ANYTHING (Wait to evolve Pikachu until after Level 43)

            ;#027: Sandshrew (Ground)
            .db 6
            .db 0, Scratch
            .db 10, SandAttack
            .db 17, Slash
            .db 24, PoisonSting
            .db 31, Swift
            .db 38, FurySwipes

            ;#028: Sandslash (Ground)
            .db 3
            .db 27, PoisonSting
            .db 36, Swift
            .db 47, FurySwipes

            ;#029: Nidoran Female (Poison)
            .db 8
            .db 0, Growl
            .db 0, Tackle
            .db 8, Scratch
            .db 14, PoisonSting
            .db 21, TailWhip
            .db 29, Bite
            .db 36, FurySwipes
            .db 43, DoubleKick

            ;#030: Nidorina (Poison)
            .db 5
            .db 14, PoisonSting
            .db 23, TailWhip
            .db 32, Bite
            .db 41, FurySwipes
            .db 50, DoubleKick

            ;#031: Nidoqueen (Poison - Ground)
            .db 2
            .db 14, PoisonSting
            .db 23, BodySlam

            ;#032: Nidoran Male (Poison)
            .db 8
            .db 0, Leer
            .db 0, Tackle
            .db 8, HornAttack
            .db 14, PoisonSting
            .db 21, FocusEnergy
            .db 29, FuryAttack
            .db 36, HornDrill
            .db 43, DoubleKick

            ;#033: Nidorino (Poison)
            .db 4
            .db 23, FocusEnergy
            .db 32, FuryAttack
            .db 41, HornDrill
            .db 50, DoubleKick

            ;#034: Nidoking (Poison - Ground)
            .db 1
            .db 23, Thrash

            ;#035: Clefairy (Normal)
            .db 8
            .db 0, Pound
            .db 0, Growl
            .db 13, Sing
            .db 18, Doubleslap
            .db 24, Minimize
            .db 31, Metronome
            .db 39, DefenseCurl
            .db 48, LightScreen

            ;#036: Clefable (Normal)
            .db 0
            ;DOESN'T LEARN ANYTHING (Wait to evolve Clefairy until after Level 31)

            ;#037: Vulpix (Fire)
            .db 7
            .db 0, Ember
            .db 0, TailWhip
            .db 16, QuickAttack
            .db 21, Roar
            .db 28, ConfuseRay
            .db 35, Flamethrower
            .db 42, FireSpin

            ;#038: Ninetales (Fire)
            .db 0
            ;DOESN'T LEARN ANYTHING (Wait to evolve Vulpix until after Level 42)

            ;#039: Jigglypuff (Normal)
            .db 8
            .db 0, Sing
            .db 9, Pound
            .db 14, Disable
            .db 19, DefenseCurl
            .db 24, Doubleslap
            .db 29, Rest
            .db 34, BodySlam
            .db 39, DoubleEdge

            ;#040: Wigglytuff (Normal)
            .db 0
            ;DOESN'T LEARN ANYTHING (Wait to evolve Jigglypuff until after Level 34)

            ;#041: Zubat (Poison - Flying)
            .db 6
            .db 0, LeechLife
            .db 10, Supersonic
            .db 15, Bite
            .db 21, ConfuseRay
            .db 28, WingAttack
            .db 36, Haze

            ;#042: Golbat (Poison - Flying)
            .db 2
            .db 32, WingAttack
            .db 43, Haze

            ;#043: Oddish (Grass - Poison)
            .db 7
            .db 0, Absorb
            .db 15, PoisonPowder
            .db 17, StunSpore
            .db 19, SleepPowder
            .db 24, Acid
            .db 33, PetalDance
            .db 46, SolarBeam

            ;#044: Gloom (Grass - Poison)
            .db 3
            .db 28, Acid
            .db 38, PetalDance
            .db 52, SolarBeam

            ;#045: Vileplume (Grass - Poison)
            .db 0
            ;DOESN'T LEARN ANYTHING (Wait to evolve Gloom until after Level 52 [if you learn Solar Beam with Gloom] or until after Level 46 [if you learn Solar Beam with Oddish])

            ;#046: Paras (Bug - Grass)
            .db 6
            .db 0, Scratch
            .db 13, StunSpore
            .db 20, LeechLife
            .db 27, Spore
            .db 34, Slash
            .db 41, Growth

            ;#047: Parasect (Bug - Grass)
            .db 3
            .db 30, Spore
            .db 39, Slash
            .db 48, Growth

            ;#048: Venonat (Bug - Poison)
            .db 8
            .db 0, Tackle
            .db 0, Disable
            .db 24, PoisonPowder
            .db 27, LeechLife
            .db 30, StunSpore
            .db 35, Psybeam
            .db 38, SleepPowder
            .db 43, PsychicMove

            ;#049: Venomoth (Bug - Poison)
            .db 3
            .db 38, Psybeam
            .db 43, SleepPowder
            .db 50, PsychicMove

            ;#050: Diglett (Ground)
            .db 6
            .db 0, Scratch
            .db 15, Growl
            .db 19, Dig
            .db 24, SandAttack
            .db 31, Slash
            .db 40, Earthquake

            ;#051: Dugtrio (Ground)
            .db 2
            .db 35, Slash
            .db 47, Earthquake

            ;#052: Meowth (Normal)
            .db 7
            .db 0, Scratch
            .db 0, Growl
            .db 12, Bite
            .db 17, PayDay
            .db 24, Screech
            .db 33, FurySwipes
            .db 44, Slash

            ;#053: Persian (Normal)
            .db 2
            .db 37, FurySwipes
            .db 51, Slash

            ;#054: Psyduck (Water)
            .db 6
            .db 0, Scratch
            .db 28, TailWhip
            .db 31, Disable
            .db 36, Confusion
            .db 43, FurySwipes
            .db 52, HydroPump

            ;#055: Golduck (Water)
            .db 3
            .db 39, Confusion
            .db 48, FurySwipes
            .db 59, HydroPump

            ;#056: Mankey (Fighting)
            .db 7
            .db 0, Scratch
            .db 0, Leer
            .db 15, KarateChop
            .db 21, FuryAttack
            .db 27, FocusEnergy
            .db 33, SeismicToss
            .db 39, Thrash

            ;#057: Primeape (Fighting)
            .db 2
            .db 37, SeismicToss
            .db 46, Thrash

            ;#058: Growlithe (Fire)
            .db 7
            .db 0, Bite
            .db 0, Roar
            .db 18, Ember
            .db 23, Leer
            .db 30, TakeDown
            .db 39, Agility
            .db 50, Flamethrower

            ;#059: Arcanine (Fire)
            .db 0
            ;DOESN'T LEARN ANYTHING (Wait to evolve Growlithe until after Level 50)

            ;#060: Poliwag (Water)
            .db 7
            .db 0, Bubble
            .db 16, Hypnosis
            .db 19, WaterGun
            .db 25, Doubleslap
            .db 31, BodySlam
            .db 38, Amnesia
            .db 45, HydroPump

            ;#061: Poliwhirl (Water)
            .db 4
            .db 26, Doubleslap
            .db 33, BodySlam
            .db 41, Amnesia
            .db 49, HydroPump 

            ;#062: Poliwrath (Water - Fighting)
            .db 0
            ;DOESN'T LEARN ANYTHING (Wait to evolve Poliwhirl until after Level 49 [if you 
            ;learn Hydro Pump with Poliwhirl] or until after Level 45 [if you learn Hydro 
            ;Pump with Poliwag])

            ;#063: Abra (Psychic)
            .db 1
            .db 0, Teleport

            ;#064: Kadabra (Psychic)
            .db 7
            .db 0, Teleport
            .db 0, Confusion
            .db 20, Disable
            .db 27, Psybeam
            .db 31, Recover
            .db 38, PsychicMove
            .db 42, Reflect

            ;#065: Alakazam (Psychic)
            .db 5
            .db 20, Disable
            .db 27, Psybeam
            .db 31, Recover
            .db 38, PsychicMove
            .db 42, Reflect

            ;#066: Machop (Fighting)
            .db 6
            .db 0, KarateChop
            .db 20, LowKick
            .db 25, Leer
            .db 32, FocusEnergy
            .db 39, SeismicToss
            .db 46, Submission

            ;#067: Machoke (Fighting)
            .db 3
            .db 36, FocusEnergy
            .db 44, SeismicToss
            .db 52, Submission

            ;#068: Machamp (Fighting)
            .db 3
            .db 36, FocusEnergy
            .db 44, SeismicToss
            .db 52, Submission

            ;#069: Bellsprout (Grass - Poison)
            .db 9
            .db 0, VineWhip
            .db 0, Growth
            .db 13, Wrap
            .db 15, PoisonPowder
            .db 18, SleepPowder
            .db 21, StunSpore
            .db 26, Acid
            .db 33, RazorLeaf
            .db 42, Slam

            ;#070: Weepinbell (Grass - Poison)
            .db 4
            .db 23, StunSpore
            .db 29, Acid
            .db 38, RazorLeaf
            .db 49, Slam

            ;#071: Victreebel (Grass - Poison)
            .db 0
            ;DOESN'T LEARN ANYTHING (Wait to evolve Weepinbell until after Level 49 [if you learn Slam
            ; with Weepinbell] or until after Level 42 [if you learn Slam with Bellsprout])

            ;#072: Tentacool (Water - Poison)
            .db 9
            .db 0, Acid
            .db 7, Supersonic
            .db 13, Wrap
            .db 18, PoisonSting
            .db 22, WaterGun
            .db 27, Constrict
            .db 33, Barrier
            .db 40, Screech
            .db 48, HydroPump

            ;#073: Tentacruel (Water - Poison)
            .db 3
            .db 35, Barrier
            .db 43, Screech
            .db 50, HydroPump

            ;#074: Geodude (Rock - Ground)
            .db 7
            .db 0, Tackle
            .db 11, DefenseCurl
            .db 16, RockThrow
            .db 21, SelfDestruct
            .db 26, Harden
            .db 31, Earthquake
            .db 36, Explosion

            ;#075: Graveler (Rock - Ground)
            .db 3
            .db 29, Harden
            .db 36, Earthquake
            .db 43, Explosion

            ;#076: Golem (Rock - Ground)
            .db 3
            .db 29, Harden
            .db 36, Earthquake
            .db 43, Explosion

            ;#077: Ponyta (Fire)
            .db 7
            .db 0, Ember
            .db 30, TailWhip
            .db 32, Stomp
            .db 35, Growl
            .db 39, FireSpin
            .db 43, TakeDown
            .db 48, Agility

            ;#078: Rapidash (Fire)
            .db 2
            .db 47, TakeDown
            .db 55, Agility 

            ;#079: Slowpoke (Water - Psychic)
            .db 7
            .db 0, Confusion
            .db 18, Disable
            .db 22, HeadButt
            .db 27, Growl
            .db 33, WaterGun
            .db 40, Amnesia
            .db 48, PsychicMove

            ;#080: Slowbro (Water - Psychic)
            .db 2
            .db 44, Amnesia
            .db 55, PsychicMove

            ;#081: Magnemite (Electric)
            .db 7
            .db 0, Tackle
            .db 21, SonicBoom
            .db 25, Thundershock
            .db 29, Supersonic
            .db 35, ThunderWave
            .db 41, Swift
            .db 47, Screech

            ;#082: Magneton (Electric)
            .db 3
            .db 38, ThunderWave
            .db 46, Swift
            .db 54, Screech

            ;#083: Farfetch'd (Normal - Flying)
            .db 7
            .db 0, Peck
            .db 0, SandAttack
            .db 7, Leer
            .db 15, FuryAttack
            .db 23, SwordsDance
            .db 31, Agility
            .db 39, Slash

            ;#084: Doduo (Normal - Flying)
            .db 7
            .db 0, Peck
            .db 20, Growl
            .db 24, FuryAttack
            .db 30, DrillPeck
            .db 36, Rage
            .db 40, TriAttack
            .db 44, Agility

            ;#085: Dodrio (Normal - Flying)
            .db 3
            .db 39, Rage
            .db 45, TriAttack
            .db 51, Agility

            ;#086: Seel (Water)
            .db 6
            .db 0, HeadButt
            .db 30, Growl
            .db 35, AuroraBeam
            .db 40, Rest
            .db 45, TakeDown
            .db 50, IceBeam

            ;#087: Dewgong (Water - Ice)
            .db 4
            .db 35, AuroraBeam
            .db 44, Rest
            .db 50, TakeDown
            .db 56, IceBeam

            ;#088: Grimer (Poison)
            .db 8
            .db 0, Pound
            .db 0, Disable
            .db 30, PoisonGas
            .db 33, Minimize
            .db 37, Sludge
            .db 42, Harden
            .db 48, Screech
            .db 55, AcidArmor

            ;#089: Muk (Poison)
            .db 3
            .db 45, Harden
            .db 53, Screech
            .db 60, AcidArmor

            ;#090: Shellder (Water)
            .db 7
            .db 0, Tackle
            .db 0, Withdraw
            .db 18, Supersonic
            .db 23, Clamp
            .db 30, AuroraBeam
            .db 39, Leer
            .db 50, IceBeam

            ;#091: Cloyster (Water - Ice)
            .db 1
            .db 50, SpikeCannon

            ;#092: Gastly (Ghost - Poison)
            .db 5
            .db 0, Lick
            .db 0, ConfuseRay
            .db 0, NightShade
            .db 27, Hypnosis
            .db 35, DreamEater

            ;#093: Haunter (Ghost - Poison)
            .db 2
            .db 29, Hypnosis
            .db 38, DreamEater

            ;#094: Gengar (Ghost - Poison)
            .db 2
            .db 29, Hypnosis
            .db 38, DreamEater

            ;#095: Onix (Rock - Ground)
            .db 7
            .db 0, Tackle
            .db 0, Screech
            .db 15, Bind
            .db 19, RockThrow
            .db 25, Rage
            .db 33, Slam
            .db 43, Harden

            ;#096: Drowzee (Psychic)
            .db 8
            .db 0, Pound
            .db 0, Hypnosis
            .db 12, Disable
            .db 17, Confusion
            .db 24, HeadButt
            .db 29, PoisonGas
            .db 32, PsychicMove
            .db 37, Meditate

            ;#097: Hypno (Psychic)
            .db 3
            .db 33, PoisonGas
            .db 37, PsychicMove
            .db 43, Meditate

            ;#098: Krabby (Water)
            .db 7
            .db 0, Bubble
            .db 0, Leer
            .db 20, ViceGrip
            .db 25, Guillotine
            .db 30, Stomp
            .db 35, CrabHammer
            .db 40, Harden

            ;#099: Kingler (Water)
            .db 3
            .db 34, Stomp
            .db 42, CrabHammer
            .db 49, Harden

            ;#100: Voltorb (Electric)
            .db 7
            .db 0, Tackle
            .db 0, Screech
            .db 17, SonicBoom
            .db 22, SelfDestruct
            .db 29, LightScreen
            .db 36, Swift
            .db 43, Explosion

            ;#101: Electrode (Electric)
            .db 2
            .db 40, Swift
            .db 50, Explosion

            ;#102: Exeggcute (Grass - Psychic)
            .db 8
            .db 0, Barrage
            .db 0, Hypnosis
            .db 25, Reflect
            .db 28, LeechSeed
            .db 32, StunSpore
            .db 37, PoisonPowder
            .db 42, SolarBeam
            .db 48, SleepPowder

            ;#103: Exeggutor (Grass - Psychic)
            .db 1
            .db 28, Stomp 

            ;#104: Cubone (Ground)
            .db 7
            .db 0, BoneClub
            .db 0, Growl
            .db 25, Leer
            .db 31, FocusEnergy
            .db 38, Thrash
            .db 43, Bonemerang
            .db 46, Rage

            ;#105: Marowak (Ground)
            .db 4
            .db 33, FocusEnergy
            .db 41, Thrash
            .db 48, Bonemerang
            .db 55, Rage

            ;#106: Hitmonlee (Fighting)
            .db 7
            .db 0, DoubleKick
            .db 0, Meditate
            .db 33, RollingKick
            .db 38, JumpKick
            .db 43, FocusEnergy
            .db 48, HiJumpKick
            .db 53, MegaKick

            ;#107: Hitmonchan (Fighting)
            .db 7
            .db 0, CometPunch
            .db 0, Agility
            .db 33, FirePunch
            .db 38, IcePunch
            .db 43, ThunderPunch
            .db 48, MegaPunch
            .db 53, Counter

            ;#108: Lickitung (Normal)
            .db 7
            .db 0, Wrap
            .db 0, Supersonic
            .db 7, Stomp
            .db 15, Disable
            .db 23, DefenseCurl
            .db 31, Slam
            .db 39, Screech

            ;#109: Koffing (Poison)
            .db 7
            .db 0, Tackle
            .db 0, Smog
            .db 32, Sludge
            .db 37, SmokeScreen
            .db 40, SelfDestruct
            .db 45, Haze
            .db 48, Explosion

            ;#110: Weezing (Poison)
            .db 4
            .db 39, SmokeScreen
            .db 43, SelfDestruct
            .db 49, Haze
            .db 53, Explosion

            ;#111: Rhyhorn (Ground - Rock)
            .db 7
            .db 0, HornAttack
            .db 30, Stomp
            .db 35, TailWhip
            .db 40, FuryAttack
            .db 45, HornDrill
            .db 50, Leer
            .db 55, TakeDown 

            ;#112: Rhydon (Ground - Rock)
            .db 3
            .db 48, HornDrill
            .db 55, Leer
            .db 64, TakeDown

            ;#113: Chansey (Normal)
            .db 8
            .db 0, Pound
            .db 0, Doubleslap
            .db 24, Sing
            .db 30, Growl
            .db 38, Minimize
            .db 44, DefenseCurl
            .db 48, LightScreen
            .db 54, DoubleEdge

            ;#114: Tangela (Grass)
            .db 8
            .db 0, Constrict
            .db 0, Bind
            .db 29, Absorb
            .db 32, PoisonPowder
            .db 36, StunSpore
            .db 39, SleepPowder
            .db 45, Slam
            .db 49, Growth

            ;#115: Kangaskhan (Normal)
            .db 7
            .db 0, CometPunch
            .db 0, Rage
            .db 26, Bite
            .db 31, TailWhip
            .db 36, MegaPunch
            .db 41, Leer
            .db 46, DizzyPunch

            ;#116: Horsea (Water)
            .db 6
            .db 0, Bubble
            .db 19, SmokeScreen
            .db 24, Leer
            .db 30, WaterGun
            .db 37, Agility
            .db 45, HydroPump

            ;#117: Seadra (Water)
            .db 2
            .db 41, Agility
            .db 52, HydroPump

            ;#118: Goldeen (Water)
            .db 8
            .db 0, Peck
            .db 0, TailWhip
            .db 19, Supersonic
            .db 24, HornAttack
            .db 30, FuryAttack
            .db 37, Waterfall
            .db 45, HornDrill
            .db 54, Agility

            ;#119: Seaking (Water)
            .db 3
            .db 39, Waterfall
            .db 48, HornDrill
            .db 54, Agility

            ;#120: Staryu (Water)
            .db 8
            .db 0, Tackle
            .db 17, WaterGun
            .db 22, Harden
            .db 27, Recover
            .db 32, Swift
            .db 37, Minimize
            .db 42, LightScreen
            .db 47, HydroPump

            ;#121: Starmie (Water - Psychic)
            .db 0
            ;DOESN'T LEARN ANYTHING (Wait until after Level 47)

            ;#122: Mr. Mime (Psychic)
            .db 6
            .db 0, Confusion
            .db 0, Barrier
            .db 23, LightScreen
            .db 31, Doubleslap
            .db 39, Meditate
            .db 47, Substitute

            ;#123: Scyther (Bug - Flying)
            .db 7
            .db 0, QuickAttack
            .db 17, Leer
            .db 20, FocusEnergy
            .db 24, DoubleTeam
            .db 29, Slash
            .db 35, SwordsDance
            .db 42, Agility

            ;#124: Jynx (Ice - Psychic)
            .db 7
            .db 0, Pound
            .db 0, LovelyKiss
            .db 15, Sing
            .db 23, Doubleslap
            .db 31, IcePunch
            .db 39, Meditate
            .db 47, Blizzard 

            ;#125: Electabuzz (Electric)
            .db 7
            .db 0, QuickAttack
            .db 0, Leer
            .db 34, Thundershock
            .db 37, Screech
            .db 42, ThunderPunch
            .db 49, LightScreen
            .db 54, Thunder

            ;#126: Magmar (Fire)
            .db 7
            .db 0, Ember
            .db 36, Leer
            .db 39, ConfuseRay
            .db 43, FirePunch
            .db 48, SmokeScreen
            .db 52, Smog
            .db 55, Flamethrower

            ;#127: Pinsir (Bug)
            .db 7
            .db 0, Vicegrip
            .db 25, SeismicToss
            .db 30, Guillotine
            .db 36, FocusEnergy
            .db 43, Harden
            .db 49, Slash
            .db 54, SwordsDance

            ;#128: Tauros (Normal)
            .db 6
            .db 0, Tackle
            .db 21, Stomp
            .db 28, TailWhip
            .db 35, Leer
            .db 44, Rage
            .db 51, TakeDown

            ;#129: Magikarp (Water)
            .db 2
            .db 0, Splash
            .db 15, Tackle

            ;#130: Gyarados (Water - Flying)
            .db 5
            .db 20, Bite
            .db 25, DragonRage
            .db 32, Leer
            .db 41, HydroPump
            .db 52, HyperBeam

            ;#131: Lapras (Water - Ice)
            .db 8
            .db 0, WaterGun
            .db 0, Growl
            .db 16, Sing
            .db 20, Mist
            .db 25, BodySlam
            .db 31, ConfuseRay
            .db 38, IceBeam
            .db 46, HydroPump

            ;#132: Ditto (Normal)
            .db 1
            .db 0, Transform

            ;#133: Eevee (Normal)
            .db 6
            .db 0, Tackle
            .db 0, SandAttack
            .db 27, QuickAttack
            .db 31, TailWhip
            .db 37, Bite
            .db 45, TakeDown

            ;#134: Vaporeon (Water)
            .db 8
            .db 27, QuickAttack
            .db 31, WaterGun
            .db 37, TailWhip
            .db 40, Bite
            .db 42, AcidArmor
            .db 44, Haze
            .db 48, Mist
            .db 54, HydroPump

            ;#135: Jolteon (Electric)
            .db 8
            .db 27, QuickAttack
            .db 31, Thundershock
            .db 37, TailWhip
            .db 40, ThunderWave
            .db 42, DoubleKick
            .db 44, Agility
            .db 48, PinMissile
            .db 54, Thunder

            ;#136: Flareon (Fire)
            .db 8
            .db 27, QuickAttack
            .db 31, Ember
            .db 37, TailWhip
            .db 40, Bite
            .db 42, Leer
            .db 44, FireSpin
            .db 48, Rage
            .db 54, Flamethrower

            ;#137: Porygon (Normal)
            .db 7
            .db 0, Tackle
            .db 0, Sharpen
            .db 0, Conversion
            .db 23, Psybeam
            .db 28, Recover
            .db 35, Agility
            .db 42, TriAttack

            ;#138: Omanyte (Rock - Water)
            .db 6
            .db 0, WaterGun
            .db 0, Withdraw
            .db 34, HornAttack
            .db 39, Leer
            .db 46, SpikeCannon
            .db 53, HydroPump

            ;#139: Omastar (Rock - Water)
            .db 2
            .db 44, SpikeCannon
            .db 49, HydroPump

            ;#140: Kabuto (Rock - Water)
            .db 6
            .db 0, Scratch
            .db 0, Harden
            .db 34, Absorb
            .db 39, Slash
            .db 44, Leer
            .db 49, HydroPump

            ;#141: Kabutops (Rock - Water)
            .db 2
            .db 46, Leer
            .db 53, HydroPump

            ;#142: Aerodactyl (Rock - Flying)
            .db 6
            .db 0, WingAttack
            .db 0, Agility
            .db 33, Supersonic
            .db 38, Bite
            .db 45, TakeDown
            .db 54, HyperBeam

            ;#143: Snorlax (Normal)
            .db 7
            .db 0, HeadButt
            .db 0, Amnesia
            .db 0, Rest
            .db 35, BodySlam
            .db 41, Harden
            .db 48, DoubleEdge
            .db 56, HyperBeam

            ;#144: Articuno (Ice - Flying)
            .db 5
            .db 0, Peck
            .db 0, IceBeam
            .db 51, Blizzard
            .db 55, Agility
            .db 60, Mist

            ;#145: Zapdos (Electric - Flying)
            .db 5
            .db 0, Thundershock
            .db 0, DrillPeck
            .db 51, Thunder
            .db 55, Agility
            .db 60, LightScreen

            ;#146: Moltres (Fire - Flying)
            .db 5
            .db 0, Peck
            .db 0, FireSpin
            .db 51, Leer
            .db 55, Agility
            .db 60, SkyAttack

            ;#147: Dratini (Dragon)
            .db 7
            .db 0, Wrap
            .db 0, Leer
            .db 10, ThunderWave
            .db 20, Agility
            .db 30, Slam
            .db 40, DragonRage
            .db 50, HyperBeam

            ;#148: Dragonair (Dragon)
            .db 3
            .db 35, Slam
            .db 45, DragonRage
            .db 55, HyperBeam

            ;#149: Dragonite (Dragon - Flying)
            .db 1
            .db 60, HyperBeam

            ;#150: Mewtwo (Psychic)
            .db 8
            .db 0, Confusion
            .db 0, Disable
            .db 0, Swift
            .db 63, Barrier
            .db 66, PsychicMove
            .db 70, Recover
            .db 75, Mist
            .db 81, Amnesia

            ;#151: Mew (Psychic)
            .db 5
            .db 0, Pound
            .db 10, Transform
            .db 20, MegaPunch
            .db 30, Metronome
            .db 40, PsychicMove
        }*/
        #endregion

        private Pokemon[] allPokemon = new Pokemon[152];
        private Move[] allMoves = new Move[166];
        private void New_BaseStat(byte index, string name, byte hp, byte attack, byte defense, byte special, byte speed, byte type1, byte type2, byte baseEXP)
        {
            allPokemon[index] = new Pokemon(index, name, hp, attack, defense, special, speed, type1, type2, baseEXP);
            pokemonComboBox.Items.Add(name);
            yourPokemonComboBox.Items.Add(name);
            enemyPokemonComboBox.Items.Add(name);

        }

        private void New_Move(byte index, string name, byte type, byte pp, byte power, byte accuracy)
        {
                allMoves[index] = new Move(index, name, type, pp, power, accuracy);
                movesComboBox.Items.Add(name);
            
        }

        private void levelNumberBox_ValueChanged(object sender, EventArgs e)
        {
            updateStats();
        }

        private void pokemonComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            updateStats();
        }

        private void updateStats()
        {
            int index = pokemonComboBox.SelectedIndex + 1;
            Pokemon selectedPokemon = allPokemon[index];
            baseHPTextBox.Text = selectedPokemon.basehp.ToString();
            baseAttackTextBox.Text = selectedPokemon.baseattack.ToString();
            baseDefenseTextBox.Text = selectedPokemon.basedefense.ToString();
            baseSpecialTextBox.Text = selectedPokemon.basespecial.ToString();
            baseSpeedTextBox.Text = selectedPokemon.basespeed.ToString();
            hpTextBox.Text = calcStat(selectedPokemon.basehp, (byte)levelNumberBox.Value, (byte)hpNumBox.Value, (UInt16)evNumBox.Value, true).ToString();
            attackTextBox.Text = calcStat(selectedPokemon.baseattack, (byte)levelNumberBox.Value, (byte)attackNumBox.Value, (UInt16)evNumBox.Value, false).ToString();
            defenseTextBox.Text = calcStat(selectedPokemon.basedefense, (byte)levelNumberBox.Value, (byte)defenseNumBox.Value, (UInt16)evNumBox.Value, false).ToString();
            specialTextBox.Text = calcStat(selectedPokemon.basespecial, (byte)levelNumberBox.Value, (byte)specialNumBox.Value, (UInt16)evNumBox.Value, false).ToString();
            speedTextBox.Text = calcStat(selectedPokemon.basespeed, (byte)levelNumberBox.Value, (byte)speedNumBox.Value, (UInt16)evNumBox.Value, false).ToString();
        }

        private ushort calcStat(byte baseStat, byte level, byte IVs, UInt16 EVs, bool hpStat)
        {
            int value;
            if (hpStat)
            {
                value = level * (baseStat + IVs + 50 + (EVs / 2048)) / 50 + 10;
            }
            else
            {
                value = level * (baseStat + IVs + (EVs / 2048)) / 50 + 5;
            }
            return (ushort)value;
        }

        private void ivBox_ValueChanged(object sender, EventArgs e)
        {
            hpNumBox.Value = 8 * (attackNumBox.Value % 2) + 4 * (defenseNumBox.Value % 2) +
                            2 * (speedNumBox.Value % 2) + specialNumBox.Value % 2;
            updateStats();
        }

        private void yourPokemonComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            Pokemon pokemon = allPokemon[yourPokemonComboBox.SelectedIndex + 1];
            /*movesComboBox.Items.Clear();
            movesComboBox.Items.Add(pokemon.);*/
        }

        private void movesComboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (movesComboBox.SelectedIndex == -1)
            {typeTextBox.Text = "";
                ppTextBox.Text = "";
                powerTextBox.Text = "";
                accuracyTextBox.Text = "";
                return;}
            Move move = allMoves[movesComboBox.SelectedIndex + 1];
            powerTextBox.Text = move.power.ToString();
            ppTextBox.Text = move.pp.ToString();
            accuracyTextBox.Text = move.accuracy.ToString();
            switch (move.type)
            {
                case 0:
                    typeTextBox.Text = "Normal";
                    break;
                case 1:
                    typeTextBox.Text = "Fighting";
                    break;
                case 2:
                    typeTextBox.Text = "Flying";
                    break;
                case 3:
                    typeTextBox.Text = "Poison";
                    break;
                case 4:
                    typeTextBox.Text = "Ground";
                    break;
                case 5:
                    typeTextBox.Text = "Rock";
                    break;
                case 6:
                    typeTextBox.Text = "Bug";
                    break;
                case 7:
                    typeTextBox.Text = "Ghost";
                    break;
                case 8:
                    typeTextBox.Text = "Fire";
                    break;
                case 9:
                    typeTextBox.Text = "Water";
                    break;
                case 10:
                    typeTextBox.Text = "Grass";
                    break;
                case 11:
                    typeTextBox.Text = "Electric";
                    break;
                case 12:
                    typeTextBox.Text = "Psychic";
                    break;
                case 13:
                    typeTextBox.Text = "Ice";
                    break;
                case 14:
                    typeTextBox.Text = "Dragon";
                    break;
            }
            battleStatsChanged(sender, e);
        }

        private void randomizeButton_Click(object sender, EventArgs e)
        {
            Random random = new Random();
            randomNumBox.Value = random.Next(217, 255);
        }

        private void battleStatsChanged(object sender, EventArgs e)
        {
            if (enemyPokemonComboBox.SelectedIndex == -1 || movesComboBox.SelectedIndex == -1)
                return;
            int level = (int)attackingLevelNumBox.Value;
            int attack = calcStat(allPokemon[yourPokemonComboBox.SelectedIndex + 1].baseattack, (byte)level, (byte)attackIVNumBox.Value, (ushort)attackingEVNumBox.Value, false);
            int defense = calcStat(allPokemon[enemyPokemonComboBox.SelectedIndex + 1].basedefense, (byte)defendingLevelNumBox.Value, (byte)defenseIVNumBox.Value, (ushort)defendingEVsNumBox.Value, false);
            int random = (int)randomNumBox.Value;
            int power = allMoves[movesComboBox.SelectedIndex + 1].power;
            int stab = 1;
            int typeeffectiveness = 100;
            int damage = (((((Math.Min(((((2 * level / 5 + 2) * attack * power) / Math.Max(1, defense)) / 50), 997) + 2) * stab) * typeeffectiveness) / 100) * random) / 256;
            damageTextBox.Text = damage.ToString();
            //(((((min(((((2L/5 + 2)*A*P)/max(1, D))/50), 997) + 2)*S)*T)/10)*R)/255
        }

        private void rdoID_CheckedChanged(object sender, EventArgs e)
        {
            if (rdoID.Checked)
                {rdoName.Checked = false;
                rdoID.Checked = true;
                movesComboBox.SelectedIndex = -1;
                movesComboBox.Items.Clear();
                InitMoves();
                }
            else
                if (rdoName.Checked)
                    {rdoID.Checked = false;
                    rdoName.Checked = true;
                    movesComboBox.SelectedIndex = -1;
                    movesComboBox.Items.Clear();
                    InitMoves1();
                    }
        }
      
    }

    class Pokemon
    {
        public readonly byte index;
        public readonly string name;
        public readonly byte basehp;
        public readonly byte baseattack;
        public readonly byte basedefense;
        public readonly byte basespecial;
        public readonly byte basespeed;
        public readonly byte type1;
        public readonly byte type2;
        public readonly byte baseexp;
        public Pokemon(byte index, string name, byte hp, byte attack, byte defense, byte special, byte speed, byte type1, byte type2, byte baseEXP)
        {
            this.index = index;
            this.name = name;
            this.basehp = hp;
            this.baseattack = attack;
            this.basedefense = defense;
            this.basespecial = special;
            this.basespeed = speed;
            this.type1 = type1;
            this.type2 = type2;
            this.baseexp = baseEXP;
        }
    }

    class Move

    {
        public readonly byte index;
        public readonly string name;
        public readonly byte type;
        public readonly byte pp;
        public readonly byte power;
        public readonly byte accuracy;
        public Move(byte index, string name, byte type, byte pp, byte power, byte accuracy)
        {
            this.index = index;
            this.name = name;
            this.type = type;
            this.pp = pp;
            this.power = power;
            this.accuracy = accuracy;
        }
        
        
        public override string ToString()
        {
            return base.ToString();
        }
    }

    class MoveSet
    {
        public readonly Move move;
        public readonly byte level;
        public MoveSet(Move move, byte level)
        {
            this.move = move;
            this.level = level;
        }
    }

}
